# $Revision: 1.31 $, $Date: 2011/04/10 20:45:35 $
%define		status		@release_state@
%define		pearname	@package@
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - @summary@
Name:		@rpm_package@
Version:	@version@
Release:	@release@
License:	@release_license@
Group:		Development/Languages/PHP
Source0:	http://@master_server@/get/%{pearname}-%{version}.tgz
# Source0-md5:	@tarball_md5@
URL:		http://@master_server@/package/@package@/
BuildRequires:	php-packagexml2cl
BuildRequires:	@pear_rpm_name@
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-pear
@extra_headers@
@arch_statement@
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	%(pear config-get cfg_dir 2>/dev/null || ERROR)/%{pearname}

%if "@_noautoreq@" != ""
# exclude optional dependencies
%define		_noautoreq	@_noautoreq@
%endif

%description
@description@

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%if 0%{?_noautoreq:1}
%post -p <lua>
%pear_package_print_optionalpackages
%endif

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%if 0%{?_noautoreq:1}
%doc optional-packages.txt
%endif
@doc_files_statement@
@registry_files_statement@
@cfg_files_statement@
@script_files_statement@
@php_files_statement@
@data_files_statement@
@www_files_statement@
@customrole_files_statement@

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: $
